from practicum import find_mcu_boards, McuBoard, PeriBoard
from time import sleep
from firebase import firebase


firebase = firebase.FirebaseApplication('https://naiaum-kingdom.firebaseio.com/', None)

devs = find_mcu_boards()

if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)

mcu = McuBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" % \
        mcu.handle.getString(mcu.device.iManufacturer, 256))
print("*** Product: %s" % \
        mcu.handle.getString(mcu.device.iProduct, 256))
peri = PeriBoard(mcu)

count = 0
while True:
    led1 = firebase.get('/num1','state')
    led2 = firebase.get('/num2','state')
    led3 = firebase.get('/num3','state')
    auto = firebase.get('/num4','state')

    sw = peri.get_switch()
    light = peri.get_light()
    firebase.post('/sensor/light',light)
    firebase.put('/sensor/light',"recent",light)

    if auto == "ON":
       if light > 500:
          peri.set_led_value(7)
       else:
          peri.set_led_value(0)
    else:
       if auto == "ON":
            if light > 500:
               peri.set_led_value(7)
            else:
               peri.set_led_value(0)

       else:
            peri.set_led(0,led1 == "ON")
            peri.set_led(1,led2 == "ON")
            peri.set_led(2,led3 == "ON")



